## gnusound 0.6.2

=== doc/Makefile ===
#
# GNUsound documentation Makefile.
# Copyright (C) 2003 Pascal Haakmat.
# Licensed under the GNU GPL.
# Absolutely no warranty.
#

LANGUAGES=C
prefix=/usr/local
docrootdir=/usr/share/gnome/help/gnusound
docname=gnusound
xslstylesheet=/usr/share/sgml/docbook/xsl-stylesheets/xhtml/chunk.xsl

clean: 
	for lang in $(LANGUAGES); do \
		cd $$lang && rm -f *.html; \
	done

distclean: clean
	for lang in $(LANGUAGES); do \
		cd $$lang && rm -f *~; \
	done
	rm -f *~ Makefile

uninstall:
	rm -rf $(docrootdir)

install:
	for lang in $(LANGUAGES); do \
		mkdir -p $(docrootdir)/$$lang; \
		cp $$lang/*.xml $$lang/*.html $$lang/topic.dat \
			$(docrootdir)/$$lang; \
	done

dist:
	for lang in $(LANGUAGES); do \
		cd $$lang; \
		xmllint --valid --noent --noout $(docname).xml || exit; \
		xsltproc $(xslstylesheet) $(docname).xml || exit; \
	done

.PHONY: dist clean distclean install uninstall

=== modules/Makefile ===
src=$(shell ls *.c)
obj=$(basename $(src))
clean_files=$(obj) *.bak
ifeq (,$(CFLAGS))
CFLAGS=-g -Wall -pthread `gnome-config --cflags gnome gnomeui libglade glib`
endif

all: $(obj)

% : %.c
	$(CC) -fPIC -shared $(CFLAGS) $< -o $@

clean:
	rm -f $(clean_files)

.PHONY=all clean

## gnusound 0.7.5

=== debian/changelog ===
gnusound (0.7.5-3+squeeze1) stable; urgency=low

  * Added patch 'format-security' from Hilko Bengen to solve a format
    string security issue (Closes: #654270).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 01 Feb 2012 01:39:32 +0100

gnusound (0.7.5-3) unstable; urgency=low

  * Switched to dpkg-source 3.0 (quilt) format (and removed quilt calls
    and build dependencies).
  * Increased Standards-Version to 3.8.4.0 (no changes).
  * Added missing linking with libdl (Closes: #554692).
  * Added 'csladspa' and 'rubberband-ladspa' to Recommends (LADSPA
    plugins).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 04 Feb 2010 01:27:21 +0100

gnusound (0.7.5-2) unstable; urgency=low

  * Moved the .desktop file installation from the binary-install to the
    install rule, to ensure being ready before call to dh_desktop.
  * Fixed rules to avoid building documentation more than once.
  * Removed obsolete binary-predeb rule (CVS and arch related cleanup).
  * Ensure linking with libraries if really needed (with proper
    LDFLAGS, and 'ldflags_order' and 'maint_ldflags' patches).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Wed, 01 Apr 2009 11:56:00 +0200

gnusound (0.7.5-1) unstable; urgency=low

  * New upstream release
  * Added missing '${misc:Depends}' dependency.
  * Bumped Standards-Version (no changes).
  * Fixed reference in copyright file to the right GPL version.
  * Modified wrapper to use sh instead of bash.
  * Removed the following patches, applied upstream:
    + invert_mute_switches
    + ffmpeg_api_changes_01
    + ffmpeg_api_changes_02
  * Updated 'ffmpeg_config' patch.
  * Added 'buildsys_deactivate_configure_gtk1' patch to remove GTK 1
    macros from configure rules.
  * Regenerated 'reautogenization' patch and refreshed a few other
    patches.
  * Switched to debhelper 7.
  * Cleaned rules (removed DEB_BUILDDIR stuff).
  * Fixed build-depends-on-1-revision.
  * Ensured everything is cleaned at end of build.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 31 Mar 2009 02:05:05 +0200

gnusound (0.7.4-8) unstable; urgency=high

  * Using pkg-config instead of the old ffmpeg-config, fixing FTBFS
    (Closes: #482225).
  * Removed -1 from versioned Build-Depends (lintian advice to help
    backports).
  * Added buildsys_datarootdir_ignored patch to fix variable not
    propagated, thus fixing documentation installation.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 27 May 2008 11:33:14 +0200

gnusound (0.7.4-7) unstable; urgency=low

  * Fixed handling nostrip build option (modules enhanced stripping in
    'debian/rules' forgot to check DEB_BUILD_OPTIONS variable) (Closes:
    #437055).
  * Added Homepage information.
  * Increased Standards-Version (no changes).
  * Fixed renamed menu section (s/Apps/Applications/).
  * Converted 'debian/copyright' into UTF-8 encoding.
  * Added a few Recommends on LADSPA-providing packages.
  * Patched to increase max loadable LADSPA plugins.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Fri, 21 Mar 2008 16:14:00 +0100

gnusound (0.7.4-6) unstable; urgency=low

  * Switched patch system to quilt.
  * Fixed wrapper not accepting options using patch from M G Berberich
    (Closes: #380996).
  * Added patch 'ffmpeg_api_changes_02' for FFMPEG API changes and
    changed build dependency from libjack0.100.0-dev transitional
    package to libjack-dev (Closes: #427190).
  * Rebuilt for FLAC 1.1.4 (no changes needed) (Closes: #426645).
  * Fixed regression introduced in 0.7.4-4.1 NMU: install fixed manpage
    provided by upstream instead of badly generated one (Closes:
    #407634).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 02 Jun 2007 17:52:21 +0200

gnusound (0.7.4-5) unstable; urgency=low

  * Acknowleged NMU (Closes: #377608).
  * Added patch from Roman Zippel to fix an endianness conversion
    function (then fixing an FTBFS on m68k) (Closes: #393754).
  * Switched to debhelper compat 5.
  * Increased Standards-Version to 3.7.2.2 (no changes).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Thu, 19 Oct 2006 22:33:44 +0200

gnusound (0.7.4-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Let dh_installman look in doc/C/, not doc/ -- for some reason the
    manpage moved.
  * Add a new patch to adjust to ffmpeg API changes; fixes FTBFS.
    (Closes: #377608)

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 17 Jul 2006 22:01:48 +0200

gnusound (0.7.4-4) unstable; urgency=high

  * Applied patch fixing FTBFS on amd64 from Andreas Jochens (Closes:
    #324355).
  * Re-autogen-ized.
  * Now using CDBS GNOME class (for scrollkeeper management, ...).
  * Removed DEB_AUTO_UPDATE_DEBIAN_CONTROL.
  * Added 'caps' and 'fil-plugins' LADSPA plugins packages to
    Recommends.
  * Updated FSF postal address in 'debian/copyright'.
  * Ensure no RCS file is in the package.
  * Increased Standards-Version (no changes needed).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Sat, 12 Nov 2005 02:41:58 +0100

gnusound (0.7.4-3) unstable; urgency=low

  * Rebuilt for lib FLAC transition (Closes: #325939).

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue,  6 Sep 2005 16:18:21 +0200

gnusound (0.7.4-2) unstable; urgency=low

  * Rebuild with fixed ffmpeg libs.
  * Added patch from author fixing inverted mute switches.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Tue, 23 Aug 2005 23:13:16 +0200

gnusound (0.7.4-1) unreleased; urgency=low

  * New upstream release :
    + fix playback (Closes: #317370).
    + no more crash at startup with max track to 32 (Closes: #299616).
  * Re-autogen-ized.

 -- Marc Dequènes (Duck) <Duck@DuckCorp.org>  Mon, 11 Jul 2005 23:02:01 +0200

gnusound (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * Updated .desktop file patch.
  * Removed Alsa patch now integrated in upstream release.
  * Now generating / installing a fixed 'gnusound-module.pc' file for
    module development.
  * Re-autogen-ized.



=== debian/control ===
Source: gnusound
Section: sound
Priority: optional
Maintainer: Marc Dequènes (Duck) <Duck@DuckCorp.org>
Build-Depends: cdbs, autotools-dev, cdbs (>= 0.4.53), debhelper (>= 7.0.1), debhelper, libglade2-dev, libgnome2-dev, libgnomeui-dev, libpng12-dev, libaudiofile-dev, libsamplerate0-dev, libxml2-utils, xsltproc, docbook-xsl, docbook-xml, libsndfile1-dev (>= 1.0.4), libvorbis-dev, libavcodec-dev (>= 0.cvs20050811-2), libavformat-dev (>= 0.cvs20050811-2), libflac-dev (>= 1.1.2), libasound2-dev (>= 1.0.2), libjack-dev, libtheora-dev, pkg-config
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/gnusound/

Package: gnusound
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: amb-plugins, blepvco, blop, caps, cmt, csladspa, fil-plugins, mcp-plugins, omins, rev-plugins, rubberband-ladspa, sooperlooper, swh-plugins, tap-plugins, vco-plugins
Description: multitrack sound editor for GNOME
 GNUsound is a sound editor for GNOME. It supports multiple tracks,
 multichannel output, and 8, 16, or 24/32 bit samples. It can read
 a number of audio formats, modify them, and saves them as WAV files.
 GNUsound supports a large number of high-quality audio effects,
 filters, and converters through the GLADSPA plugin architecture (band pass
 filter, frequency shifter, reverb, flanger, pitch scaler, pink noise,
 stereo to mono converter, and many others).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok


# note: explicit linking with libdl is missing (see #554692)
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=" -Wl,-z,defs -Wl,-O1 -Wl,--as-needed -ldl"
export MOD_LDFLAGS=-Wl,-O1 -Wl,--as-needed
DEB_AC_AUX_DIR := $(DEB_SRCDIR)/config
DEB_MAKE_INSTALL_TARGET := install prefix=$(CURDIR)/debian/gnusound/usr
DEB_MAKE_CLEAN_TARGET := distclean


build/gnusound:: doc-gen-stamp
doc-gen-stamp:
	# generate documentation
	$(MAKE) -C $(DEB_BUILDDIR)/doc/ dist
	touch doc-gen-stamp

install/gnusound::
	# move .desktop file to right directory
	# (must be done early to be caught by dh_desktop)
	mkdir debian/gnusound/usr/share/applications/
	mv debian/gnusound/usr/share/gnome/apps/Multimedia/gnusound.desktop debian/gnusound/usr/share/applications/
	rm -rf debian/gnusound/usr/share/gnome/apps

binary-install/gnusound::
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	# Better stripping for modules
	find debian/gnusound/usr/lib/gnusound/modules/ -name "*.so" -type f -exec strip --remove-section=.comment --remove-section=.note --strip-unneeded {} \;
endif
	# Wrapper to set LADSPA_PATH
	mv debian/gnusound/usr/bin/gnusound debian/gnusound/usr/bin/gnusound.real
	cp debian/maintfiles/gnusound debian/gnusound/usr/bin/gnusound
	chmod a+x debian/gnusound/usr/bin/gnusound
	dh_link usr/share/man/man1/gnusound.1 usr/share/man/man1/gnusound.real.1

# _must_ be called in a rule, and not in debian/clean, because
# dh_clean is called before the makefile clean rule and would
# prevent make clean/distclean to work
clean::
	rm -f Makefile

=== debian/watch ===
version=2
ftp://ftp.gnu.org/gnu/gnusound/ \
	gnusound-(.*).tar.bz2 \
        debian uupdate
